Subject: bug#14616: 24.3.50; Excessive cursor movement on non-X Emacs

From: Eli Zaretskii <[email-masked]>
Date: Fri, 14 Jun 2013 11:59:31 +0300

> From: Lars Magne Ingebrigtsen <[email-masked]>
> Date: Fri, 14 Jun 2013 10:00:19 +0200
> 
> It seems like that when Emacs is doing network stuff (web/news), the
> cursor is displayed momentarily visually at the first point in the
> screen.  Then it's displayed momentarily at the first point in the echo
> area.  Sometimes this repeats a few times.
> 
> Often the entire connection hangs while it's doing this -- I'm unable to
> exit the screen for instance, so I suspect that Emacs is actually moving
> the cursor back and forth between these two positions more rapidly than
> my phone is able to display.
> 
> Once while this was happening, I got an SMS from my telco warning me
> about large roaming data costs, which further points to this behaviour
> generating a lot of data over the wire.
> 
> I have no idea how to start debugging this problem, but it's easily
> reproducible for me.
> 
> It started happening about half a year ago.  Does anybody have any
> inkling what might be causing this problem?  If not, I can try to see if
> I can find a way to debug this.
> 
> Uhmn...
> 
> Oh, here's an strace from me typing `n' (next article) in Gnus four
> times.  The second and fourth time this cursor-moving behaviour was
> triggered:

This all sounds very similar to bug #13864, but that one was fixed 2
months ago.

Can you use the methodology described in that bug to find out why the
screen is being constantly redrawn?  If and when you reach a point
where your findings diverge from what was found there, please post
your findings here, and we will take it from there.

Thanks.